# SwisssignChallenge

## Requirements

- [GraalVM 23](https://www.graalvm.org/)
- PostgreSQL 17, but a Docker Compose file is available for your convenience

## Generate sources

To generate code from the API contract, run `./mvnw generate-sources`

## Build native executable

1. Make sure your `JAVA_HOME` or `GRAALVM_HOME` environment variable is correctly
pointing to your JDK.
1. Run `./mvnw -Pnative native:compile`.